#
#   5B - Screen
#

from pygame import Rect
from pygame.locals import *
from albow.widget import Widget
from albow.screen import Screen as AlbowScreen
from albow.controls import Button
from albow.resource import get_font
import settings

menu_font = get_font(24, "VeraBd.ttf")

class Screen(AlbowScreen):
	#  shell  Shell
	#  game   Game

	def __init__(self, shell):
		AlbowScreen.__init__(self, shell)
		self.shell = shell
		self.game = shell.game
	
#	def center(self, widget):
#		widget.rect.center = self.rect.center
#		self.add(widget)
#	
#	def begin_frame(self):
#		pass
#	
#	def enter_screen(self):
#		pass
#	
#	def leave_screen(self):
#		pass
	
	def key_down(self, e):
		if e.key == K_ESCAPE:
			self.shell.show_menu()
		else:
			AlbowScreen.key_down(self, e)


def menu_button(title, action = None, enable = None, **kwds):
	return Button(title, action = action, enable = enable, font = menu_font,
		**kwds)
